MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006497Community[OCCT] OCCT:Data Exchangepublic2004-08-25 09:482006-06-29 09:15
Reporterbugmaster 
Assigned Toskl 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSAllOS Version
Product Version 
Target VersionFixed in Version[OCCT] 5.2.2 
Summary0006497: Bug in IGESControl_Reader::PrintTransferInfo
DescriptionBug From Open CASCADE Community
Registered by Rob Bachrach
http://www.opencascade.org/org/forum/thread_6791/ [^]

I believe I have found a bug in IGESControl_Reader::PrintTransferInfo.
The third line of the file has the code: thesession->MapReader().
thesession is a private handle to a XSControl_WorkSession object and
is declared in IGESControl_Reader.hxx. Unfortunately, it is never
initialized. As a result, MapReader is called on a null entity. On
the PC this seems to throw an exception every time. On my Solaris
system, it crashes with a segmentation fault.

I did notice that XSControl_Reader also has a private member called
thesession that gets initialized in its contructor. I have a feeling
the declaration of thesession in IGESControl_Reader.hxx is a bug.
If this line were removed, everything would most likely work fine.
TagsNo tags attached.
Test case number
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2004-08-25 09:48 bugmaster Assigned To bugmaster => pdn
2004-08-25 09:48 bugmaster Status new => assigned
2004-12-09 16:08 bugmaster Assigned To pdn => skl
2004-12-14 13:09 bugmaster Status assigned => verified
2004-12-24 09:12 bugmaster Status verified => closed
2004-12-24 09:12 bugmaster Resolution @0@ => fixed
2004-12-30 11:21 bugmaster Customer =>
2011-08-02 11:12 bugmaster Category OCCT:DTE => OCCT:Data Exchange


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker